# eric6.Helpviewer.HelpSnap

Module implementing functions to generate page previews.

### Global Attributes

None

### Classes

None

### Functions

__render | Private function to render a pixmap of given size for a web page.
renderTabPreview | Public function to render a pixmap of a page.

## __render

__render(page, w, h)

Private function to render a pixmap of given size for a web page.

page
  reference to the page to be rendered (QWebPage)
w
  width of the pixmap (integer)
h
  height of the pixmap (integer)

Returns:
  rendered pixmap (QPixmap)

Up

## renderTabPreview

renderTabPreview(page, w, h)

Public function to render a pixmap of a page.

page
  reference to the page to be previewed (QWebPage)
w
  width of the preview pixmap (integer)
h
  height of the preview pixmap (integer)

Returns:
  preview pixmap (QPixmap)

Up